> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7.md).

# 场景（SDK7）

- [入门](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men.md)
- [SDK 快速开始](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/sdk-101.md): 使用 Creator Hub、SDK 和官方 SDK Skills 通过 AI 辅助 vibe coding 创建你的第一个 Decentraland 场景。
- [开发工作流](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/dev-workflow.md): 使用 Creator Hub 创建 Decentraland 场景的推荐工作流，从构思到测试和发布。
- [预览你的场景](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md): 场景预览中你可以看到的内容
- [使用 CLI](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/using-the-cli.md): 使用 Decentraland CLI 运行和部署场景。对于大多数创作者来说，Creator Hub 是推荐工具；CLI 更适合高级和自动化工作流。
- [编码要点](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/coding-scenes.md): 这组内容将帮助你理解 Decentraland 客户端和 SDK 中的工作方式。
- [使用 AI 进行 vibe coding](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/vibe-coding.md): 借助 Creator Hub 和官方 Decentraland SDK Skills（npx skills add decentraland/sdk-skills），与 AI 助手一起构建 Decentraland 场景。
- [实用资源](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/useful-resources.md): 可加快你的 Decentraland 创作流程的工具、插件、资源库和示例项目。
- [体验设计](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji.md)
- [设计游戏](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/design-games.md): 为 Decentraland 设计游戏时需要注意的事项。
- [MVP 指南](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/mvp-guidelines.md): 使用 SDK 制作你的第一个 MVP 场景或体验时的推荐指南
- [UX 与 UI 指南](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/ux-ui-guide.md): 构建让玩家愿意停留并回访的场景的技巧与实践！
- [试玩测试](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/playtests.md): 如何对你的 Decentraland 游戏进行试玩测试，并将玩家反馈转化为改进
- [架构](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou.md)
- [实体与组件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/entities-components.md): 了解 Decentraland 场景中实体和组件的基础知识
- [系统](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/systems.md): 了解系统如何用于更新场景状态
- [自定义组件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/custom-components.md): 创建一个自定义组件来处理与实体相关的特定数据
- [组合文件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/composites.md): 在运行时从组合文件生成一棵实体和组件树
- [查询组件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/querying-components.md): 了解如何获取具有共同组件的实体列表，以便更轻松地检查或更新它们。
- [订阅变更](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/subscribe-to-changes.md): 检测组件中的变化，并在每次变化时运行函数
- [面向数据编程](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jia-gou/data-oriented-programming.md): 面向数据编程是一种强大的编程方法，能最大限度发挥性能。
- [项目类型](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing.md)
- [概览](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/kinds-of-project.md): 你可以在 Decentraland 中创建的各种项目类型。
- [场景文件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/scene-files.md): 新场景中创建的默认文件。
- [场景元数据](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/scene-metadata.md): 了解如何设置场景并配置其元数据。
- [智能可穿戴物](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/smart-wearables.md): 创建具有交互能力的可穿戴物
- [工作区](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/workspaces.md): 同时运行多个 DCL 项目
- [可携带体验](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/xiang-mu-lei-xing/portable-experiences.md): 可携带体验
- [3D 内容基础](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu.md)
- [3D 模型动画](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/3d-model-animations.md): 如何为场景中的 3D 模型制作动画
- [摄像机](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/camera.md): 了解如何控制玩家的摄像机
- [碰撞体](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/colliders.md): 了解为实体提供 3D 形状和碰撞的不同组件。
- [颜色类型](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/color-types.md): 如何定义颜色值
- [实体定位](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/entity-positioning.md): 如何设置场景中实体的位置、旋转和缩放
- [灯光](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/lights.md): 了解如何在场景中使用灯光
- [材质](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/materials.md): 了解如何向具有基础形状的实体添加材质和纹理。
- [移动实体](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/move-entities.md): 如何随时间逐步移动、旋转和缩放实体，并以增量方式变化。
- [粒子系统](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/particle-system.md): 向场景添加火焰、雨、火花和魔法光环等粒子效果
- [形状组件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/shape-components.md): 了解为实体提供 3D 形状和碰撞的不同组件。
- [声音](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/sounds.md): 了解如何向场景中添加声音。
- [特殊类型](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/special-types.md): 了解有哪些特殊类型，包括 Vector、Quaternion 等。
- [文本](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/text.md): 如何向场景中添加文本
- [触发区域](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/3d-nei-rong-ji-chu/trigger-areas.md): 了解如何在场景中使用触发区域
- [媒体](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/mei-ti.md): 向你的场景添加媒体内容
- [音频分析](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/mei-ti/audio-analysis.md): 从场景中播放的音频读取实时振幅和频率数据，以驱动响应式视觉效果。
- [音频流](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/mei-ti/audio-streaming.md): 在场景中播放实时音频流。
- [显示已认证的 NFT](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/mei-ti/display-a-certified-nft.md): 了解如何在你的场景中显示你拥有的已认证 NFT
- [视频播放](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/mei-ti/video-playing.md): 将视频流传输到场景中
- [调试](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi.md): 调试并排查你的场景问题
- [在预览中调试](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi/debug-in-preview.md): 如何在本地预览运行时调试你的场景
- [生产环境调试](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi/debug-in-prod.md): 如何调试运行在 Decentraland 内的场景
- [报告错误](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi/report-bug.md): 如何报告错误，以便其被审查并修复
- [故障排除](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi/troubleshooting.md): 常见问题的修复方法
- [优化](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/you-hua.md): 优化你的场景以提升性能
- [性能优化](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/you-hua/performance-optimization.md): 优化你的场景，使其加载更快并为所有玩家流畅运行。
- [预加载资源](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/you-hua/pre-load-resources.md): 预加载资源可让资源在场景启动时就被下载好，这样玩家首次与它们交互时就已准备就绪。
- [场景限制](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/you-hua/scene-limitations.md): 我可以在场景中放多少东西？
- [发布](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu.md): 将你的场景发布到 Decentraland
- [使其可被发现](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/make-discoverable.md): 帮助玩家发现你的场景
- [发布选项](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md): 如何获取 Decentraland World 或 LAND 权限来发布你的场景
- [发布](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing.md): 如何发布我的项目？
- [交互性](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing.md): 创建交互式体验
- [头像](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang.md)
- [移动玩家](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/move-player.md): 将玩家传送到场景中的新位置，或引导其步行到新位置
- [头像动画](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/avatar-animations.md): 让玩家的头像播放默认或自定义动画，并检测某个表情动作何时结束
- [移动设置与限制](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/locomotion.md): 更改玩家的速度和跳跃高度，或限制他们的移动方式
- [头像修饰区域](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/modifier-areas.md): 在场景中的某个区域内隐藏头像、隐藏姓名标签，或禁用玩家护照
- [头像姓名标签](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/avatar-nametags.md): 在头像姓名标签上方显示自定义标签，以展示等级、角色或队伍。
- [NPC 头像](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/tou-xiang/npc-avatars.md): 显示并控制 NPC 头像
- [按钮事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian.md): 处理按钮点击和指针事件
- [点击事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian/click-events.md): 了解如何处理场景中的用户点击。
- [注册回调](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian/register-callback.md): 了解如何处理场景中的用户点击。
- [基于系统的事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian/system-based-events.md): 了解如何处理场景中的用户点击。
- [高级按钮事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian/advanced-button-events.md): 了解如何处理场景中的用户点击。
- [接近事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/an-niu-shi-jian/proximity-events.md): 检测玩家何时进入或离开某个实体的接近范围。
- [已弃用函数](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/deprecated-functions.md): 旧版函数
- [事件监听器](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/event-listeners.md): 场景可以跟踪的事件，与玩家动作和场景变化相关。
- [外部链接](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/external-links.md): 链接到其他场景或外部网站
- [鼠标移动](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/mouse-movement.md): 实时响应玩家的鼠标移动，用于驱动拖拽手势、旋转物体或控制自定义摄像机。
- [玩家物理效果](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/player-physics.md): 对玩家头像施加力和冲量
- [射线投射](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/raycasting.md): 使用射线投射在空间中追踪一条线，并查询与场景中实体的碰撞。
- [运行时数据](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/runtime-data.md): 从场景运行所在的上下文以及场景本身获取数据。
- [天空盒控制](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/skybox-control.md): 更改天空盒时间
- [屏幕控制](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/touch-screen-controls.md): 为你的场景配置原生的屏幕触控控制。
- [用户数据](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/jiao-hu-xing/user-data.md): 在玩家与你的场景互动时获取其数据。
- [2D UI](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui.md): 为你的场景创建 2D 用户界面
- [屏幕 UI](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/onscreen-ui.md): 了解如何为场景中的玩家创建 UI。例如，这可用于显示与游戏相关的信息。
- [UI 定位](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui-positioning.md): 设置 UI 实体的位置、缩放、内边距和其他属性。
- [UI 背景](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui_background.md): 设置 UI 实体的背景和边框。
- [UI 按钮事件](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui_button_events.md): 处理 UI 实体上的按钮事件。
- [UI 输入绑定](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui_input_binding.md): 将输入动作绑定到你自己的 UI 元素上，让它们驱动玩家输入。
- [UI 特殊类型](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui_special_types.md): UI 的特殊实体类型，包括下拉菜单和输入框。
- [UI 文本](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/ui_text.md): 在 UI 实体中写入文本。
- [动态 UI](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/2d-ui/dynamic-ui.md): 了解如何让 UI 动态响应数据变化。
- [联网](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/lian-wang.md): 构建多人和联网体验
- [多人服务器](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/lian-wang/authoritative-servers.md): 使用无头多人服务器构建多人 Decentraland 场景。
- [网络连接](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/lian-wang/network-connections.md): 如何让你的场景与外部服务器和 API 通信。
- [无服务器多人模式](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/lian-wang/serverless-multiplayer.md): 在玩家之间同步场景状态。
- [第三方服务器](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/lian-wang/third-party-servers.md): 使用第三方服务器构建多人 Decentraland 场景。
- [区块链](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qu-kuai-lian.md): 将区块链功能集成到你的场景中
- [创建 dApp](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qu-kuai-lian/create-a-dapp.md): 创建你自己的去中心化应用的参考资料
- [部署你的交易服务器](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qu-kuai-lian/deploying-your-own-transactions-server.md): 为用户提供免成本交易
- [场景区块链操作](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qu-kuai-lian/scene-blockchain-operations.md): 了解 SDK 提供了哪些用于执行以太坊区块链操作的功能
- [第二层](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qu-kuai-lian/second-layer.md): 在场景中使用 Polygon 的侧链，以实现更快、更便宜的区块链交易。
- [库](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ku.md): 适用于 Decentraland SDK7 场景的可复用库
- [管理依赖项](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ku/manage-dependencies.md): 如何向场景添加库
- [库目录](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ku/libraries.md): 浏览可用的 Decentraland SDK7 库
- [创建库](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ku/create-libraries.md): 创建你自己的 Decentraland 库，与他人分享
- [编程模式](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/bian-cheng-mo-shi.md): 常见编程模式和最佳实践
- [异步函数](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/bian-cheng-mo-shi/async-functions.md): 了解何时以及如何在场景代码中运行异步函数。
- [游戏对象](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/bian-cheng-mo-shi/game-objects.md): 使用游戏对象模式让代码更易读，也更易扩展。
- [可变数据](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/bian-cheng-mo-shi/mutable-data.md): 了解如何处理来自组件的只读数据和可变数据
- [API 参考](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/api-can-kao.md)
- [测试与反馈](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/api-can-kao/alpha-testing-guidelines.md): 关于如何尝试 SDK7 并提供反馈的指南
- [发行说明](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/api-can-kao/releases.md): 过去一年中 SDK 和 Creator Hub 的变化，已筛选为影响创作者的改动。
- [API 参考](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/api-can-kao/v7-alpha.md): Decentraland SDK7 的完整 API 参考，由 js-sdk 工具链生成。
- [版本支持协议](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/api-can-kao/version-support-agreement.md): 版本支持协议
- [其他](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qi-ta.md): 其他 SDK 功能
- [场景分析](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qi-ta/scene-analytics.md): 跟踪已发布场景的玩家访问、参与度和留存率
- [迁移旧版 SDK6 场景](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/qi-ta/migrate-legacy-sdk6-scenes.md): 使用 AI 助手将旧版 SDK6 场景迁移到 SDK7。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
